Debian Bug report logs - #117185
xlibs: [xkb] variant or option needed to change 'currency' symbols to 'EuroSign'

version graph

Package: xlibs; Maintainer for xlibs is (unknown);

Reported by: Eric.VanBuggenhaut@AdValvas.be

Date: Fri, 26 Oct 2001 14:33:02 UTC

Severity: normal

Tags: upstream

Found in versions 4.1.0-8, 4.3.0-7

Done: barbier@linuxfr.org (Denis Barbier)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#117185; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Eric.VanBuggenhaut@AdValvas.be:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Van Buggenhaut <eric@eric.ath.cx>
To: submit@bugs.debian.org
Subject: xlibs: euro symbol not correctly mapped
Date: Fri, 26 Oct 2001 16:27:59 +0200
Package: xlibs
Version: 4.1.0-8
Severity: normal

In its current state, the symbols maps under /etc/X11/xkb/symbols keep us from
displaying the Euro symbol.

As a font I currently use 

[eric@femto:~]$ grep -e '^XTerm.*font' .Xresources
XTerm.VT100.font: -*-lucidatypewriter-medium-r-*-*-10-*-*-*-*-*-iso8859-15
[eric@femto:~]$

If we change the string 'EuroSign' for 'currency' in those xkb files, all is
solved.

Please correct this.

Thank you.

-- System Information
Debian Release: testing/unstable
Kernel Version: Linux femto 2.4.9 #38 sam aoû 25 17:13:33 CEST 2001 i686 unknown

Versions of the packages xlibs depends on:
ii  libc6          2.2.4-3        GNU C Library: Shared libraries and Timezone
ii  libfreetype6   2.0.2.20010514 FreeType 2 font engine, shared library files
ii  xfree86-common 4.1.0-8        X Window System (XFree86) infrastructure
ii  xlibs          4.1.0-8        X Window System client libraries

--- Begin /etc/X11/xkb/symbols/be (modified conffile)
// $XConsortium: be /main/3 1996/08/31 12:19:05 kaleb $
// $XFree86: xc/programs/xkbcomp/symbols/be,v 3.3 1996/12/23 07:13:11 dawes Exp $
partial default alphanumeric_keys 
xkb_symbols "basic" {
    // Describes the differences between a very simple US/ASCII
    // keyboard and a very simple Belgian keyboard
    name[Group1]= "Belgian";
    key <TLDE> {	[     twosuperior,   threesuperior 	]	};
    key <AE01> {	[       ampersand,               1 	],
			[             bar                  	]	};
    key <AE02> {	[          eacute,               2	],
			[              at 			]	};
    key <AE03> {	[        quotedbl,               3 	],
			[      numbersign 			]	};
    key <AE04> {	[      apostrophe,               4 	]	};
    key <AE05> {	[       parenleft,               5 	]	};
    key <AE06> {	[         section,               6 	],
			[     asciicircum 			]	};
    key <AE07> {	[          egrave,               7	]	};
    key <AE08> {	[          exclam,               8	]	};
    key <AE09> {	[        ccedilla,               9	],
			[       braceleft,       plusminus 	]	};
    key <AE10> {	[          agrave,               0 	],
			[      braceright,          degree	]	};
    key <AE11> {	[      parenright,          degree 	]	};
    key <AE12> {	[           minus,      underscore 	]	};
    key <AD01> {	[               a,               A 	]	};
    key <AD02> {	[               z,               Z 	]	};
    key <AD03> {        [               e,               E      ],
                        [        EuroSign,            cent      ]	};
    key <AD11> {	[ dead_circumflex,  dead_diaeresis 	],
			[     bracketleft			]	};
    key <AD12> {	[          dollar,        asterisk	],
			[    bracketright			]	};
    key <AC01> {	[               q,               Q 	]	};
    key <AC10> {	[               m,               M	]	};
    key <AC11> {	[          ugrave,         percent 	],
			[      dead_acute 			]	};
    key <BKSL> {	[            less,         greater 	],
			[       backslash			]	};
    key <LSGT> {	[              mu,        sterling	],
			[      dead_grave			]	};
    key <AB01> {	[               w,               W 	]	};
    key <AB07> {	[           comma,        question 	],
			[    dead_cedilla			]	};
    key <AB08> {	[       semicolon,          period 	]	};
    key <AB09> {	[           colon,           slash 	]	};
    key <AB10> {	[           equal,            plus	],
			[      dead_tilde			]	};
    // End alphanumeric section
    // begin modifier mappings
    modifier_map Shift  { Shift_L };
    modifier_map Lock   { Caps_Lock };
    modifier_map Control{ Control_L };
    modifier_map Mod3	{ Mode_switch };
};
partial alphanumeric_keys 
xkb_symbols "iso-alternate" {
    include "be(basic)"
    replace key <AD01> {[		a,               A 	],
			[              ae,              AE	]	};
    replace key <AD02> {[               z,               Z 	],
			[   guillemotleft,            less	]	};
    replace key <AC01> {[               q,               Q 	],
			[              at,     Greek_OMEGA	]	};
    replace key <AC10> {[               m,               M	],
			[              mu,       masculine	]	};
    replace key <AB01> {[               w,               W 	],
			[         lstroke,         Lstroke      ]	};
    replace key <AB07> {[           comma,        question 	],
			[    dead_cedilla, dead_doubleacute	]	};
};
partial alphanumeric_keys 
xkb_symbols "Sundeadkeys" {
    // Use the Sun dead keys
    include "be(basic)"
    key <AD11> {	[    SunFA_Circum,  SunFA_Diaeresis 	],
			[     bracketleft			]	};
    key <AC11> {        [          ugrave,         percent      ],
                        [     SunFA_Acute                       ]       };
    key <BKSL> {        [              mu,        sterling      ],
                        [     SunFA_Grave                       ]       };
    key <AB07> {        [           comma,        question      ],
                        [   SunFA_Cedilla                       ]       };
    key <AB10> {        [           equal,            plus      ],
                        [     SunFA_Tilde                       ]       };
};
partial alphanumeric_keys 
xkb_symbols "sundeadkeys" {
    // Use the Sun dead keys
    include "be(Sundeadkeys)"
};
partial alphanumeric_keys 
xkb_symbols "nodeadkeys" {
    // Eliminates dead keys from the basic Belgian layout
    include "be(basic)"
    key <AD11> {	[ 	asciicircum,       diaeresis 	],
			[     bracketleft			]	};
    key <AC11> {        [          ugrave,         percent      ],
                        [      quoteright                       ]       };
    key <BKSL> {        [              mu,        sterling      ],
                        [       quoteleft                       ]       };
    key <AB10> {        [           equal,            plus      ],
                        [      asciitilde                       ]       };
};

--- End /etc/X11/xkb/symbols/be



Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#117185; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #14 received at 117185@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: 117185@bugs.debian.org
Subject: More information on this issue
Date: Fri, 20 Dec 2002 12:11:29 +0100
[Message part 1 (text/plain, inline)]
First of all, this should probably have been reported quite some
I believe this could be fixed for woody in the next release (3.0r2?).
Since it's no longer a bug in sig I'm going to change the appropiate tags.

Hope you don't mind.

Regards

	Javi



----- Forwarded message from Andrew Preater <andrew@preater.f9.co.uk> -----

From: Andrew Preater <andrew@preater.f9.co.uk>
Date: Fri, 16 Aug 2002 14:08:10 +0100
To: euro-support@packages.debian.org
Subject: Problem with Euro support and British keyboard (euro-test.log attached)

Hello,

I'm running woody (2.4.18 + pre-emption patch) on an i686, with a
British keyboard (Euro glyph on the `4' key) and en_GB locale.  I know
I can get Euro support under Linux -- I managed it with Mandrake 8.1
and 8.2 easily enough, but under woody it only half-works.

I can _see_ the € (hopefully that looks like a Euro glyph at your end)
and can type it in X after I've run the `euro-test' program.  However
these settings are lost if I reboot or restart X.  I don't know why it
shouldn't always work, I have this in xmodmap:

keycode  13 = 4 dollar EuroSign cent

euro-test.log output is attached, gzipped.

Cheers.

-- 
Regards,
Andrew Preater



----- End forwarded message -----

-- 
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#117185; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Denis Barbier <barbier@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 117185@bugs.debian.org (full text, mbox):

From: Denis Barbier <barbier@debian.org>
To: 117185@bugs.debian.org
Cc: 117185-submitter@bugs.debian.org
Subject: xlibs: Euro sign
Date: Thu, 15 Apr 2004 23:32:26 +0200
Package: xlibs
Version: 4.3.0-7
Severity: normal
Followup-For: Bug #117185

Hi,

I do not know for woody version, but xfree86 4.3 displays Euro sign
without trouble.  Can this bug be closed?

Denis



Message sent on to Eric.VanBuggenhaut@AdValvas.be:
Bug#117185. Full text and rfc822 format available.

Information stored:
Bug#117185; Package xlibs. Full text and rfc822 format available.

Acknowledgement sent to Eric.VanBuggenhaut@AdValvas.be:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #27 received at 117185-quiet@bugs.debian.org (full text, mbox):

From: Eric Van Buggenhaut <ericvb@debian.org>
To: Denis Barbier <barbier@debian.org>, 117185-quiet@bugs.debian.org
Subject: Re: Bug#117185: xlibs: Euro sign
Date: Sat, 17 Apr 2004 04:13:08 +0200
On Thu, Apr 15, 2004 at 11:32:26PM +0200, Denis Barbier wrote:
> Package: xlibs
> Version: 4.3.0-7
> Severity: normal
> Followup-For: Bug #117185
> 
> Hi,
> 
> I do not know for woody version, but xfree86 4.3 displays Euro sign
> without trouble.  Can this bug be closed?

yes.

> 
> Denis
> 

-- 
Eric VAN BUGGENHAUT
ericvb@debian.org



Reply sent to barbier@linuxfr.org (Denis Barbier):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eric.VanBuggenhaut@AdValvas.be:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 117185-done@bugs.debian.org (full text, mbox):

From: barbier@linuxfr.org (Denis Barbier)
To: 117185-done@bugs.debian.org
Subject: Re: Bug#117185: xlibs: Euro sign
Date: Sat, 17 Apr 2004 09:15:19 +0200
On Sat, Apr 17, 2004 at 04:13:08AM +0200, Eric Van Buggenhaut wrote:
> On Thu, Apr 15, 2004 at 11:32:26PM +0200, Denis Barbier wrote:
> > Package: xlibs
> > Version: 4.3.0-7
> > Severity: normal
> > Followup-For: Bug #117185
> > 
> > Hi,
> > 
> > I do not know for woody version, but xfree86 4.3 displays Euro sign
> > without trouble.  Can this bug be closed?
> 
> yes.

Thanks, closing it now.

Denis



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:37:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.